import { getFamily, put } from './lib';
import getUri from '../lib/ids';

export const initialAccount = {
  id: 'initial',
  name: '???',
  localDb: 'dyomedea',
};

export const getAccounts = async () => {
  return await getFamily('account', {}, true);
};

export const putAccount = async (id: string, account: any) => {
  const uri = getUri('account', { account: id });
  return await put(uri, 'account', (_: any) => account, {}, true);
};
